=== debian/changelog ===
kdepimlibs (4:4.4.5-2) unstable; urgency=low

  * Point debian/control Vcs fields to the new Git repository.
  * Fix POP3 mailcheck aborting because of internal memory errors. The bug was
    a cause of POP3 mails not getting deleted from POP3 servers.
    (Closes: #600907)

 -- Modestas Vainius <modax@debian.org>  Sun, 28 Nov 2010 19:17:34 +0200

kdepimlibs (4:4.4.5-1) unstable; urgency=low

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Jul 2010 19:00:52 +0300

kdepimlibs (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Confirm symbol files on armel hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386
    mips mipsel powerpc s390 sparc.
  * KIMAP needs sasl modules for authentication. Thanks to Volker Krause.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:18 +0300

kdepimlibs (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbols files for 4.4.2 on ia64 kfreebsd-amd64 kfreebsd-i386
    powerpc s390 sparc.
  * Update symbol files for 4.4.3 on amd64.
  * Steal a couple of patches from Kubuntu (to workaround annoying bugs):
    - 02_increase_fail_timeout.diff - give more time (60 seconds) for akonadi
      server to start. Current timeout (10 seconds) was not enough on many
      machines. To make things worse, kdepimlibs would just call exit() after
      showing error detection dialog causing unexpected termination of the
      application.
    - 03_hide_akonadi_progressbar.diff - hide akonadi start/stop progress bar
      as it is already done in KDE trunk. It was not a real progress bar anyway
      and just confused users.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:57:54 +0300

kdepimlibs (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4:4.4.2.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 16:21:31 +0300

kdepimlibs (4:4.4.1-1) experimental; urgency=low

  * New upstream release:
    - bavarian holiday region doesn't exist anymore. (Closes: #505965)
      see http://websvn.kde.org/?view=revision&revision=1082408 commit.

  [ George Kiagiadakis ]
  * Bump kdelibs5-dev build-dependency to >= 4:4.4.
  * Bump libakonadi-dev build-dependency to >= 1.3.0.
  * Drop patch 01_imap4_kioslave_cpu_eater.diff. Included upstream.
  * Update installed files.
  * Split all libraries into separate library packages, make
    kdepimlibs5 a transitional package and kill kdepimlibs-data.
  * Adjust descriptions to match KDE's new branding.
  * Update copyright file.

  [ Pino Toscano ]
  * Add patch 01_hurd_support.diff to hopefully fix (even if not in the most
    elegant way) the compilation on GNU/Hurd.

  [ Changes by Ana Beatriz Guerrero Lopez ]
  * Add build depends on shared-mime-info.

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Use ${allLibraries} and ${kde43Libraries} substs provided by
    library-packages.mk in debian/control.
  * Use strict (=) interdependencies between local library packages.
  * Add symbol files for split off old and new libraries:
    - symbol files for old libraries are based on the 4:4.3.4 packages and
      upgraded to 4:4.4.0 on amd64/i386;
    - symbol files for new libraries are based on the 4:4.4.0 packages on
      amd64/i386;
    - add "Build-Depends-Package: kdepimlibs5-dev" field to all symbols files;
    - instruct dpkg-gensymbols not to fail if some symbols get lost (via -c0);
    - add build dependency on dpkg-dev 1.15.5.
  * Build depend on pkg-kde-tools 0.6.4: needed for symbols files and
    library-packages.mk.
  * Clean up debian/rules a bit.
  * Drop obsolete kdepimlibs5-dev presubj.
  * Add ${perl:Depends} subst to libmailtransport4 Depends.
  * Remove unused reference to versionless GPL from debian/copyright.
  * Bump packaging copyright years.
  * Add lintian overrides.
  * Drop obsolete README.Debian.
  * Add build dependency on cmake.
  * Add kde-sc-dev-latest (>= 4:4.4.1) to Build-Depends.
  * Inject kdepim-runtime dependency via symbol files / shlibs of the following
    libraries: libakonadi-*, libkabc4, libkblog4, libkcal4, libkimap4,
    libkresources4, libmailtransport4, libmicroblog4.
  * Inject kdepimlibs-kio-plugins dependency via symbol files / shlibs of the
    following libraries: libmailtransport4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Mar 2010 13:22:41 +0200

kdepimlibs (4:4.3.4-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.

  [ Fathi Boudra ]
  * Add IMAP4 kioslave cpu eater patch: Properly check errors during
    authentication to avoid falling into an infinite loop.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 15 Jan 2010 11:18:43 +0100

kdepimlibs (4:4.3.4-1) unstable; urgency=low

  * New upstream release

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove build depend on libboost-python-dev, it should be fixed now in
    boost's side.
  * Remove myself from Uploaders.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Modestas Vainius:

  * Update install files.


