## kdepimlibs 4.5.1

=== debian/changelog ===
kdepimlibs (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Update symbol files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 29 Aug 2010 22:59:31 +0200

kdepimlibs (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:03 +0100

kdepimlibs (4:4.5.0a-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Aug 2010 22:41:34 +0100

kdepimlibs (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends
  * Added kubuntu_04_contactsearch_speed_fix.diff, as requested on KDE Packagers
    ML

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 29 Jul 2010 20:48:49 +0200

kdepimlibs (4:4.4.95-0ubuntu1) maverick; urgency=low

  * New upstream RC release
    - Bump on kde-sc-dev-latest (4.4.95)

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 26 Jul 2010 17:24:25 +0200

kdepimlibs (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream RC release
    - Bump kde-sc-dev-latest to 4.4.92
    - Update symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 00:36:13 +0200

kdepimlibs (4:4.4.90-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump kde-sc-dev-latest to 4.4.90
    - Update kdelibs5-dev.install
    - Update KUBUNTU-DEBIAN-DIFFERENCES
    - Update symbols files
    - Remove README.source

  [ Harald Sitter ]
  * Make -dev replace the lib, since /usr/lib/libkontactinterface.so was in
    4.4.4 (PPA release) in the lib and not the -dev package.

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 19 Jun 2010 04:09:51 +0200

kdepimlibs (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Bump kde-sc-dev-latest to 4.4.85
    - Bump libakonadi-dev to 1.3.80
    - Bump shared-desktop-ontologies to 0.5

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 07 Jun 2010 12:46:04 +0200

kdepimlibs (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Switch to dpkg-source 3.0 (quilt) format
    - Bump KDE build-depends
    - Disable 02_increase_fail_timeout.diff
    - Update 03_hide_akonadi_progressbar.diff
    - Add shared-desktop-ontologies to build-depends
    - Update various install files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 24 May 2010 02:37:35 +0200

kdepimlibs (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Build with versioned boost build-depends
    - Use Kubuntu docpath (/usr/share/doc/kde/)
  * Bump replaces on KDE 4:4.4.0 to 4:4.4.60 since we're doing this split a
    major KDE version later than Debian

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 16 May 2010 16:01:00 -0400

kdepimlibs (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 30 Apr 2010 22:06:02 +0200

kdepimlibs (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_increase_fail_timeout.patch to bump the timeout before
    starting error detection from 10 seconds to 60, that should be enough time
    for akonadi to start on somewhat decent hardware (I hope)
  * Add kubuntu_02_hide_akonadi_progressbar.patch to hide start/stop progressbar
    as done in KDE trunk and requested by ScottK LP: #562420

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 13 Apr 2010 19:35:59 +0200

kdepimlibs (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 13:41:20 +0100

kdepimlibs (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 26 Feb 2010 23:27:56 +0100

kdepimlibs (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depend versions

 -- Christian Mangold <neversfelde@ubuntu.com>  Thu, 04 Feb 2010 16:00:13 +0100

kdepimlibs (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1
  * Bump akonadi to 1.3.0

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 13:06:41 +0100

kdepimlibs (4:4.3.95-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New upstream release candidate:
    - Bump build-depend versions
    Fixes LP: #350902

  [ Jonathan Riddell ]
  * kdepimlibs5-dev replaces old kdepim-runtime-libs4

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 19 Jan 2010 21:23:32 -0500

kdepimlibs (4:4.3.90-0ubuntu3) lucid; urgency=low

  * Make the kdepimlibs-dbg package replace kdepim-dbg (<< 4:4.3.90)
    (LP: #507589)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 14 Jan 2010 22:18:37 -0500

kdepimlibs (4:4.3.90-0ubuntu2) lucid; urgency=low

  * kdepimlibs5 replaces old kdepim-runtime-libs4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Jan 2010 23:53:21 +0000

kdepimlibs (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Update various .install files
    - kdepimlibs5 replaces/conflicts libakonadi-kcal4, since the library
      got moved back here

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 15:15:51 -0500

kdepimlibs (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions
    - Update kdepimlibs-data.install and kdepimlibs5-dev.install
    - Add -xphonon to DEB_DH_SHLIBDEPS_ARGS_ALL to prevent dep on -runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 13:31:55 -0500

kdepimlibs (4:4.3.80-0ubuntu2) lucid; urgency=low

  [ Jonathan Thomas ]
  * Add Replace on libkontactinterfaces4 to kdepim-runtime-data
    to fix upgrades from KDE 4.3

  [ Alessandro Ghersi ]

