## kdepimlibs 4.5.5

=== debian/changelog ===
kdepimlibs (4:4.5.5-0ubuntu2.1) maverick-security; urgency=low

  * No change rebuild for security. This is needed to build kdeutils in
    the security pocket.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Nov 2011 16:49:03 -0600

kdepimlibs (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final KDE 4.5 per microversion release exception (LP:  #757065)
  * Post 4.5.5 updates from kde git:
    - debian/patches/kubuntu_01_imap_timeout.diff

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 00:34:25 -0400

kdepimlibs (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 09:13:08 -0700

kdepimlibs (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 00:37:50 +0000

kdepimlibs (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 17:31:47 +0000

kdepimlibs (4:4.5.2-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 17:35:50 +0100
