=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: kdepimlibs
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
- cdbs (>= 0.4.51), cmake, debhelper (>= 7.2.3), pkg-kde-tools (>= 0.9), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.4), libgpgme11-dev, libldap2-dev, libsasl2-dev,
- libboost-dev, libboost-graph-dev, shared-mime-info,
- libakonadi-dev (>= 1.3.0), libical-dev (>= 0.42)
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
+ cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4), dpkg-dev (>= 1.15.5),
+ kdelibs5-dev (>= 4:4.5), libgpgme11-dev, libldap2-dev, libsasl2-dev,
+ libboost1.42-dev, libboost-graph1.42-dev, shared-mime-info,
+ libakonadi-dev (>= 1.3.85), libical-dev (>= 0.42), shared-desktop-ontologies (>= 0.5)
 Standards-Version: 3.8.4
 Homepage: http://pim.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepimlibs/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepimlibs/ubuntu
 
 Package: kdepimlibs5
 Section: libs
@@ -27,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries}
-Replaces: kdepimlibs-data (<< 4:4.1.80)
+Replaces: kdepimlibs-data (<< 4:4.1.80), kdepimlibs5 (<< 4:4.4.85)
 Conflicts: libkleopatra1-dev
 Description: development files for the KDE Development Platform PIM libraries
  This package contains development files for building software that uses
@@ -39,7 +40,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: kio slaves used by KDE PIM applications
  This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
@@ -51,7 +52,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepim-runtime (<< 4:4.4.0)
+Replaces: kdepim-runtime (<< 4:4.4.60)
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
  .
@@ -61,7 +62,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
+Replaces: kdepimlibs5 (<< 4:4.4.60), akonadi-kde (<< 4:4.1.80)
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
  .
@@ -71,7 +72,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
+Replaces: kdepim-runtime (<< 4:4.4.60), akonadi-kde (<< 4:4.1.80)
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
  .
@@ -81,7 +82,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
@@ -92,7 +93,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: library for using the Akonadi PIM data server
  This is the client access library for using the Akonadi PIM data server.
@@ -103,7 +104,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: c++ wrapper library for gpgme
  GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
  (GnuPG Made Easy) library.
@@ -114,7 +115,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: library for handling address book data
  This library provides an API for address book data. It includes features
@@ -138,7 +139,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: client-side support library for web application remote blogging APIs
  KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
  MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
@@ -153,7 +154,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: library for handling calendar data
  This library provides access to and handling of calendar data. It supports
@@ -166,7 +167,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: holidays calculation library
  This library provides a C++ API that determines holiday and other special
@@ -177,8 +178,8 @@
 Package: libkimap4
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for handling IMAP data
  This library provides an API for handling data received from IMAP services.
  IMAP (Internet Message Access Protocol) is one of the two most prevalent
@@ -190,7 +191,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for accessing LDAP
  This is a library for accessing LDAP with a convenient Qt style C++ API.
  LDAP (Lightweight Directory Access Protocol) is an application protocol
@@ -202,7 +203,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for handling MIME data
  This library provides an API for handling MIME data. MIME (Multipurpose
  Internet Mail Extensions) is an Internet Standard that extends the format
@@ -228,7 +229,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for managing user identities
  This library provides an API for managing user identities.
  .
@@ -238,7 +239,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library that provides a textedit with PIM-specific features
  KPIMTextedit provides a textedit with PIM-specific features. It also provides
  so-called rich text builders which can convert the formatted text in the text
@@ -250,7 +251,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for dealing with email addresses
  This library contains utility functions for dealing with email addresses.
  This includes parsing, splitting and munging email addresses represented
@@ -263,7 +264,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
+Replaces: kdepimlibs5 (<< 4:4.4.60), kdepimlibs-data
 Conflicts: kdepimlibs-data
 Description: the KDE Resource framework library
  This library provides a framework for managing resources of different types,
@@ -276,7 +277,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: library for handling TNEF data
  Ktnef is a library for handling data in the TNEF format (Transport Neutral
  Encapsulation Format, a proprietary format of e-mail attachment used by
@@ -290,13 +291,6 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
+Replaces: kdepimlibs5 (<< 4:4.4.60)
 Description: simple XML-RPC client library
  This library contains simple XML-RPC client support. It is used mainly by the
- egroupware module of kdepim, but is a complete client and is quite easy to use.
- .
- This package is part of the KDE Development Platform PIM libraries module.
-
-Package: libmailtransport4
-Section: libs
-Architecture: any
